package com.persagy.dmp.rwd.version.service;

import com.persagy.dmp.rwd.version.entity.ObjectInfoHistory;

/**
 * 对象信息点 服务
 * @author Charlie Yu
 * @date 2021-06-23
 */
public interface IObjectInfoHistoryService {

    /**
     * 新增
     * @param history
     * @return
     */
    ObjectInfoHistory insert(ObjectInfoHistory history);

    /**
     * 按版本复制
     * @param srcVersion 源版本
     * @param version 复制后版本
     */
    void copyByVersion(String srcVersion, String version);

    /**
     * 修改
     * @param history
     * @return
     */
    ObjectInfoHistory update(ObjectInfoHistory history);

    /**
     * 删除
     * @param id
     */
    void delete(String id);

    /**
     * 版本删除前校验
     * @param version
     */
    void validateOnVersionDelete(String version);
}
